Bug 82489 - VIEWING: Search result message overwrites find string input line
Summary: VIEWING: Search result message overwrites find string input line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: possibleRegression
: 90302 (view as bug list)
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2014-08-12 04:50 UTC by Bugcruncher
Modified: 2019-12-03 14:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (9.07 KB, image/png)
2014-08-12 04:50 UTC, Bugcruncher
Details
Find bar bug hilited. (27.68 KB, image/jpeg)
2015-03-27 15:40 UTC, Jay Pearce
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-08-12 04:50:08 UTC
Created attachment 104463 [details]
Screenshot

Problem description: 

Steps to reproduce:
1. Open empty new calc document
2. <control+f> to make visible Find Toolbar
3. on find Toolbar {Rightclick ► Visible Buttons ► Uncheck
   last empty item
   » Find bar will become smaller
4. Into cell C10 Type "123"
5. Click C20
6. Into Find Bar search string input line type "111" ► Click
   Downarrow in find Bar for "Next"
   Bug: "Search Key not found" message will start at the 
        left edge of
        Find Bar and cover search string input line
   
Expected behavior: may be as without Step 3, what will make appear Message at the right end of the find bar.

An other aspect of the bug:
10. Close Find bar
15. Click C20
16. Into Find Bar search string input line type "123" ► Click
   Downarrow in find Bar for "Next"
   Bug: "Reached the end of the sheet" message will start 
         at the left edge of
         Find Bar and cover search string input line

This problem here might be related to "Bug 81925 - CONFIGURATION: Useless empty Function item in Find Bar"
              
Operating System: Windows 7
Version: 4.3.0.4 release
Last worked in: 4.2.5.2 release
Comment 1 sophie 2014-08-14 13:26:19 UTC
Hi, confirmed and yes, it's related to bug 81925, this is where the string should be. Set as new, add this but in the see also of 81925 - Sophie
Comment 2 Jay Pearce 2015-03-27 15:40:12 UTC
Created attachment 114403 [details]
Find bar bug hilited.

When find pass EOF (down search) or BOF (up search) the alert overwrites the find dialog causing it to freeze until the doc is saved.  Then, the drop-down menu (recent searches) must be selected and a search hilited so a new search term can be entered.
Comment 3 A (Andy) 2015-03-29 09:01:48 UTC
*** Bug 90302 has been marked as a duplicate of this bug. ***
Comment 4 Robinson Tryon (qubit) 2015-12-09 18:29:00 UTC Comment hidden (obsolete)
Comment 5 raal 2016-01-10 04:53:13 UTC
I can reproduce with LO 5.0.2, but not with Version: 5.2.0.0.alpha0+
Build ID: c1258abe50f1508ea0f628ff963bc1914ab86b67
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-02_01:43:32

In 5.2 no message appear. Please could you test with dev version?
http://dev-builds.libreoffice.org/daily/master/
Thank you
Comment 6 QA Administrators 2017-10-23 14:03:33 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:18:45 UTC
Dear Bugcruncher,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug